Bug 1817568 - Liveness probe exec check fails where HTTP and TCP work as exptected
Summary: Liveness probe exec check fails where HTTP and TCP work as exptected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.4.0
Assignee: Peter Hunt
QA Contact: MinLi
URL:
Whiteboard:
: 1819943 (view as bug list)
Depends On:
Blocks: 1186913
TreeView+ depends on / blocked
 
Reported: 2020-03-26 15:16 UTC by Sara Ferguson
Modified: 2020-07-28 06:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: conmon was timing out on kubelet exec liveness probes Consequence: some exec probes would fail causing the container to be killed and then restarted. Fix: bug fix in conmon Result: exec liveness probes are working now
Clone Of:
Environment:
Last Closed: 2020-05-04 11:47:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github containers conmon pull 95 0 None closed conmon: kill the process group on timeout 2021-02-17 10:23:32 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:48:13 UTC

Comment 2 Ted Yu 2020-03-27 15:24:02 UTC
Looks like the error came out of libcontainer/container_linux.go from github.com/opencontainers/runc

Comment 3 Ted Yu 2020-03-27 16:03:09 UTC
Using this with openshift cluster on AWS:

    livenessProbe:
      exec:
        command:
        - sh
        - -c
        - echo hello world

I saw this event:

Failed create pod sandbox: rpc error: code = Unknown desc = error reading container (probably exited) json message: EOF

Comment 4 Ted Yu 2020-03-27 16:10:29 UTC
Without the 'sh -c', container creation failed with:

Error: container create failed: time="2020-03-27T16:06:00Z" level=error msg="container_linux.go:341: creating new parent process caused \"container_linux.go:1923: running lstat on namespace path \\\"/proc/87673/ns/ipc\\\" caused \\\"lstat /proc/87673/ns/ipc: no such file or directory\\\"\"" container_linux.go:341: creating new parent process caused "container_linux.go:1923: running lstat on namespace path \"/proc/87673/ns/ipc\" caused \"lstat /proc/87673/ns/ipc: no such file or directory\""

Comment 5 Ted Yu 2020-03-27 16:28:51 UTC
After adjusting cpu and memory, I was able to start the pod.
This is with 'sh -c' for the exec probe

bash-3.2$ kubectl attach -it rhel-ubi
Defaulting container name to rhel-ubi.
Use 'kubectl describe pod/rhel-ubi -n default' to see all of the containers in this pod.
If you don't see a command prompt, try pressing enter.
[root@rhel-ubi /]# which echo
/usr/bin/echo

Comment 6 Ted Yu 2020-03-27 16:40:33 UTC
However, the probe often timed out:

NAME       READY   STATUS             RESTARTS   AGE
rhel-ubi   0/1     CrashLoopBackOff   5          5m14s

Comment 7 Ted Yu 2020-03-27 17:42:08 UTC
From crio log on ip-10-0-139-143.ec2.internal :

Mar 27 17:21:38 ip-10-0-139-143 crio[1569]: time="2020-03-27 17:21:38.502088199Z" level=debug msg="Received container exit code: -1, message: command timed out" file="oci/runtime_oci.go:456"
Mar 27 17:21:38 ip-10-0-139-143 crio[1569]: time="2020-03-27 17:21:38.502385619Z" level=info msg="exec'd [sh -c echo hello world] in default/rhel-ubi/rhel-ubi" file="server/container_execsync.go:49" id=e5905351-d0de-4c94-9f0f-c4183488c54e
Mar 27 17:21:38 ip-10-0-139-143 crio[1569]: time="2020-03-27 17:21:38.502504089Z" level=debug msg="response: &ExecSyncResponse{Stdout:[],Stderr:[99 111 109 109 97 110 100 32 116 105 109 101 100 32 111 117 116],ExitCode:-1,}" file="v1alpha2/api.pb.go:7852" id=e5905351-d0de-4c94-9f0f-c4183488c54e
Mar 27 17:21:38 ip-10-0-139-143 crio[1569]: time="2020-03-27 17:21:38.703089888Z" level=debug msg="request: &ExecSyncRequest{ContainerId:8bf38bf2ca71d7a3c5676da4410f51de15b8fd7bdfdce583502f1a1616663c60,Cmd:[/bin/bash -c #!/bin/bash\n/usr/share/openvswitch/scripts/ovs-ctl status > /dev/null &&\n/usr/bin/ovs-appctl -T 5 ofproto/list > /dev/null &&\n/usr/bin/ovs-vsctl -t 5 show > /dev/null\n],Timeout:1,}" file="v1alpha2/api.pb.go:7852" id=bb02fdf6-868d-4078-b6b6-503f5902a82c

Comment 8 Ted Yu 2020-03-27 17:47:22 UTC
Mar 27 17:21:38 ip-10-0-139-143 crio[1569]: time="2020-03-27 17:21:38.410303430Z" level=debug msg="parsed reference into \"[overlay@/var/lib/containers/storage+/var/run/containers/storage]@0355cd652bd1c4afd8d8f2cd8d0a4887196cb4808b8f803e146ec266ecdd5aa2\"" file="storage/storage_transport.go:174"
Mar 27 17:21:38 ip-10-0-139-143 crio[1569]: time="2020-03-27 17:21:38.410526158Z" level=debug msg="response: &ListImagesResponse{Images:[]*Image{&Image{Id:493f2db8b5178ad6297a5290f8db04b7f58894e3cb1653137499a835ca813c34,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:6d83a4e72ae352600de3957b2c400e1eb88e8efdde9540ca59a900f35e7c44ee],Size_:727847737,Uid:nil,Username:,},&Image{Id:fa4b1c816921a6eeab393797bcd22c274f6edde5883a71f592350b2144b62f92,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4674bc6d9907cd548a2e8cc6ba8fa8ec66963c221dbe9dda6bf19df579b9d828],Size_:250795872,Uid:&Int64Value{Value:0,},Username:,},&Image{Id:266cdd2e32015793efa35c9575b7056fddac35c743e7b00d4611d2f1fde8211c,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b8ae77b8597232c348acd86c922b25d93f8784d9da1158c75d986feba2f49cf5],Size_:437949192,Uid:&Int64Value{Value:0,},Username:,},&Image{Id:25415090e60f5b6d032d9e0eb99fe36511788aec61905c129ff5153a642ebf23,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:55d45c17fcc1c635930b406817ed0c49788816c57399752fb03984def7c4298a],Size_:467784634,Uid:&Int64Value{Value:0,},Username:,},&Image{Id:9a396c29ee27035e5f06deaab6cf43f0ed93730f71d37e8cfb403d0f6674c4a1,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:38f1f65811f3ebf4f19217b73fa9b7cb5da37c4009b24f36e18be875d8b5258a],Size_:311933104,Uid:&Int64Value{Value:0,},Username:,},&Image{Id:f5bd31e7061bdb02e2168c8c7131e714e0311f4db99d00c91a88678d2154f002,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ec64199ad47081881e762e56269dfee7afac5660e0e22dc4f92e617af395546d],Size_:255945064,Uid:nil,Username:nobody,},&Image{Id:39a44b26756db397568a6623469ed33afe3020e9b6cdf48a3f1bdb6116f15395,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:032c6e1893edbea6e932ddca3579c7095fac757b929e30cb94ce2565dc8918fd],Size_:372681522,Uid:&Int64Value{Value:0,},Username:,},&Image{Id:c7a9894a194de287bde23047c47931c1fe686bb87a9e20412fb34ccc7105ef2a,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:c9818acc6c6cbe0235b76bbf5bbf92c15fa07f9ef4016356cdf02441edb5c8d2],Size_:285919602,Uid:nil,Username:nobody,},&Image{Id:9bfdb7ee41d1f0204bf0c225c0b0b6a02788f7d850d79f79bf0d7f68c4c191fb,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:1ac97760bae00723c64864fdbc8c916298473a759fa8725dc21fb6fff23f1c4c],Size_:828665047,Uid:&Int64Value{Value:1001,},Username:,},&Image{Id:f71d3d1a8157a64ad70d41a0604692feaa908b423879fa7a5d9df91ce2ef938f,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d5a7c3a5346e1b411e27a8e22739e2b0b0f6b1eae61bbebb004cae703d76e63a],Size_:309229328,Uid:&Int64Value{Value:0,},Username:,},&Image{Id:c3a63b432c903976e744d6d6b0215f276257a7670201e638e660c98e0189a644,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ea5cdeb8588fc8f540db4d1e976a9adc09b283b24a9dd29fa201cd999755c8d5],Size_:420185058,Uid:&Int64Value{Value:0,},Username:,},&Image{Id:867cd7b395eadfdf16da10364ae9c1ba2ccda77c196a5f95a9a24e6117bee568,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:68763083b100b5d82739dedb08d9c154cd3c8ee0435ed4fad5674cb9b013aec9],Size_:459582490,Uid:&Int64Value{Value:1001,},Username:,},&Image{Id:f68e24d508504e7a98c9b4dfa902308307fe76338f156c36ab63ef683911b5e1,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:cc073e633967eeed8f8cdc3ae3fc5e4dba30af8a9462cd6858e1404a51c439ad],Size_:332962603,Uid:&Int64Value{Value:0,},Username:,},&Image{Id:636a1d06a983db155481c3ca5ef173316556df8046eef55767516a0143d361f2,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e2cc56931552bee158ed77d2f0a7e75202aba9204612f370d08630ba3992ec77],Size_:271271964,Uid:&Int64Value{Value:0,},Username:,},&Image{Id:cf24fff231cf4536fae927512474f1f1d5a0825275d18287e34f4a7be15246ee,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:4b5db4653b80fb2c8eb2c17ba466921e34c473ebfa144b2ac8943996fada7685],Size_:277850407,Uid:&Int64Value{Value:0,},Username:,},&Image{Id:4285c697c25f020baf018bd0946983a16c850c11dc24a80a5c7f3d3183d2a4e0,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:dc0b63f2c321bf8a6c2a709c9faa42585cfa00b123f2a69c34bf91b9d019191f],Size_:258012048,Uid:nil,Username:nobody,},&Image{Id:52edd3376f25b91d41f1d344032280a5a3e2a87fe37b7f2659d59e35914a66d7,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:58187cb5209fe28d5f57649786e03c28ea9569819973460d4e3deeef8d3635fa],Size_:368881370,Uid:nil,Username:grafana,},&Image{Id:8b2ec3364bf3b23c93f4a1343181b6caac7735e5b9a73cd23a89abe7dc1fe6f2,RepoTags:[<none>:<none>],RepoDigests:[quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:33e80b1706acb1cba44e47e4d00642c356eed3d735375c2b57616cc48b5a7ec5],Size_:300165636,Uid:&Int64Value{Value:1001,},Username:,},&Image{Id:6666175a5967cc2edcdeae03fcdf33c003fab75b4cdbcb4f47f5a1704ead59b2,RepoTags:[registry.redhat.io/rhel7/support-tools:latest],RepoDigests:[registry.redhat.io/rhel7/support-tools@sha256:331fc5fe98e18288b4745f2f9fe0f8e9491cf1fac9211a6184eddcdea6acc614 registry.redhat.io/rhel7/support-tools@sha256:7f8c4e41e80d0dbcadc76189ace73cbdf0f178b5dc1818ec3d5804411e126a59],Size_:160796198,Uid:nil,Username:,},&Image{Id:0355cd652bd1c4afd8d8f2cd8d0a4887196cb4808b8f803e146ec266ecdd5aa2,RepoTags:[registry.access.redhat.com/ubi7/ubi:latest],RepoDigests:[registry.access.redhat.com/ubi7/ubi@sha256:34fbdcb6646e49737848e055d9cd7ae821989cfc81c4191fa45668677bc75fc9 registry.access.redhat.com/ubi7/ubi@sha256:4629a899be4ebef6b106a75e410d269a4ff1e4f3d8c4bdf27920cbcbc12a5c60],Size_:215221114,Uid:nil,Username:,},},}" file="v1alpha2/api.pb.go:8208" id=a64bfa40-192f-4418-a084-f16ea37510d6
Mar 27 17:21:38 ip-10-0-139-143 crio[1569]: time="2020-03-27 17:21:38.502088199Z" level=debug msg="Received container exit code: -1, message: command timed out" file="oci/runtime_oci.go:456"
Mar 27 17:21:38 ip-10-0-139-143 crio[1569]: time="2020-03-27 17:21:38.502385619Z" level=info msg="exec'd [sh -c echo hello world] in default/rhel-ubi/rhel-ubi" file="server/container_execsync.go:49" id=e5905351-d0de-4c94-9f0f-c4183488c54e
Mar 27 17:21:38 ip-10-0-139-143 crio[1569]: time="2020-03-27 17:21:38.502504089Z" level=debug msg="response: &ExecSyncResponse{Stdout:[],Stderr:[99 111 109 109 97 110 100 32 116 105 109 101 100 32 111 117 116],ExitCode:-1,}" file="v1alpha2/api.pb.go:7852" id=e5905351-d0de-4c94-9f0f-c4183488c54e
Mar 27 17:21:38 ip-10-0-139-143 crio[1569]: time="2020-03-27 17:21:38.703089888Z" level=debug msg="request: &ExecSyncRequest{ContainerId:8bf38bf2ca71d7a3c5676da4410f51de15b8fd7bdfdce583502f1a1616663c60,Cmd:[/bin/bash -c #!/bin/bash\n/usr/share/openvswitch/scripts/ovs-ctl status > /dev/null &&\n/usr/bin/ovs-appctl -T 5 ofproto/list > /dev/null &&\n/usr/bin/ovs-vsctl -t 5 show > /dev/null\n],Timeout:1,}" file="v1alpha2/api.pb.go:7852" id=bb02fdf6-868d-4078-b6b6-503f5902a82c

Comment 9 Ted Yu 2020-03-27 17:54:57 UTC
Mar 27 17:21:37 ip-10-0-139-143 crio[1569]: time="2020-03-27 17:21:37.436238664Z" level=debug msg="request: &ExecSyncRequest{ContainerId:d21e8e91ccd53c5f57d00e74656f13fea570d2edbd27fb8ba1f453be5fc7f77e,Cmd:[sh -c echo hello world],Timeout:1,}" file="v1alpha2/api.pb.go:7852" id=e5905351-d0de-4c94-9f0f-c4183488c54e
Mar 27 17:21:37 ip-10-0-139-143 crio[1569]: time="2020-03-27 17:21:37.692152252Z" level=debug msg="request: &ListPodSandboxRequest{Filter:&PodSandboxFilter{Id:,State:&PodSandboxStateValue{State:SANDBOX_READY,},LabelSelector:map[string]string{},},}" file="v1alpha2/api.pb.go:7690" id=f68be2fe-df3a-498d-b95c-9a44a3012071

Comment 10 Ted Yu 2020-03-27 18:10:39 UTC
After changing the timeout to 5 seconds:

Mar 27 18:06:40 ip-10-0-139-143 crio[1569]: time="2020-03-27 18:06:40.082736428Z" level=debug msg="response: &StatusResponse{Status:&RuntimeStatus{Conditions:[]*RuntimeCondition{&RuntimeCondition{Typ:RuntimeReady,Status:true,Reason:,Message:,},&RuntimeCondition{Type:NetworkReady,Status:true,Reason:,Message:,},},},Info:map[string]string{},}" file="v1alpha2/api.pb.go:7978" id=8f4ee214-9cf4-4683-a76-27eaae9c3d43
5,Cmd:[grpc_health_probe -addr=localhost:50051],Timeout:1,}" file="v1alpha2/api.pb.go:7852" id=3dc7f6be-1557-44cd-be6a-a4785cdd0d90
Mar 27 18:06:40 ip-10-0-139-143 crio[1569]: time="2020-03-27 18:06:40.274195383Z" level=debug msg="Received container exit code: 0, message: " file="oci/runtime_oci.go:456"
Mar 27 18:06:40 ip-10-0-139-143 crio[1569]: time="2020-03-27 18:06:40.274535592Z" level=info msg="exec'd [grpc_health_probe -addr=localhost:50051] in openshift-marketplace/certified-operators-65f477d6c-gx6x4/certified-operators" file="server/container_execsync.go:49" id=3dc7f6be-1557-44cd-be6a-a4785cdd0d90
Mar 27 18:06:40 ip-10-0-139-143 crio[1569]: time="2020-03-27 18:06:40.274620462Z" level=debug msg="response: &ExecSyncResponse{Stdout:[],Stderr:[115 116 97 116 117 115 58 32 83 69 82 86 73 78 71 10],xitCode:0,}" file="v1alpha2/api.pb.go:7852" id=3dc7f6be-1557-44cd-be6a-a4785cdd0d90
Mar 27 18:06:40 ip-10-0-139-143 crio[1569]: time="2020-03-27 18:06:40.502780656Z" level=debug msg="Received container exit code: -1, message: command timed out" file="oci/runtime_oci.go:456"
Mar 27 18:06:40 ip-10-0-139-143 crio[1569]: time="2020-03-27 18:06:40.503108981Z" level=info msg="exec'd [sh -c echo hello world] in default/rhel-ubi/rhel-ubi" file="server/container_execsync.go:49" d=10be7875-f1f9-44f8-bd6b-cb3cf23f90e6
Mar 27 18:06:40 ip-10-0-139-143 crio[1569]: time="2020-03-27 18:06:40.503195020Z" level=debug msg="response: &ExecSyncResponse{Stdout:[],Stderr:[99 111 109 109 97 110 100 32 116 105 109 101 100 32 11 117 116],ExitCode:-1,}" file="v1alpha2/api.pb.go:7852" id=10be7875-f1f9-44f8-bd6b-cb3cf23f90e6

Comment 11 Ted Yu 2020-03-27 18:11:37 UTC
Here is the pod yaml (tailored for AWS cluster):

apiVersion: v1
kind: Pod
metadata:
  labels:
    app: rhel-ubi
  name: rhel-ubi
spec:
  restartPolicy: Always
  containers:
  - name: rhel-ubi
    stdin: true
    tty: true
    image: registry.access.redhat.com/ubi7/ubi:latest
    imagePullPolicy: Always
    resources:
      limits:
        cpu: 600m
        memory: 200Mi
      requests:
        cpu: 600m
        memory: 200Mi
    livenessProbe:
      exec:
        command:
        - sh
        - -c
        - echo hello world
      initialDelaySeconds: 5
      timeoutSeconds: 5
      periodSeconds: 5

Comment 12 Ted Yu 2020-03-27 20:11:57 UTC
When I ran the following after 'kubectl attach -it rhel-ubi'

[root@rhel-ubi /]# sh -c echo hello world

[root@rhel-ubi /]# echo $?
0

The command was successful

Comment 13 Ted Yu 2020-03-27 21:27:24 UTC
Looking at request / response pair:

Mar 27 18:06:35 ip-10-0-139-143 crio[1569]: time="2020-03-27 18:06:35.504550964Z" level=debug msg="request: &ExecSyncRequest{ContainerId:a44be1138a9991ecde6fb8116f67578cbbe0802caf3e2b35470e7053c97157a,Cmd:[sh -c echo hello world],Timeout:5,}" file="v1alpha2/api.pb.go:7852" id=10be7875-f1f9-44f8-bd6b-cb3cf23f90e6

Mar 27 18:06:40 ip-10-0-139-143 crio[1569]: time="2020-03-27 18:06:40.274620462Z" level=debug msg="response: &ExecSyncResponse{Stdout:[],Stderr:[115 116 97 116 117 115 58 32 83 69 82 86 73 78 71 10],xitCode:0,}" file="v1alpha2/api.pb.go:7852" id=3dc7f6be-1557-44cd-be6a-a4785cdd0d90
Mar 27 18:06:40 ip-10-0-139-143 crio[1569]: time="2020-03-27 18:06:40.502780656Z" level=debug msg="Received container exit code: -1, message: command timed out" file="oci/runtime_oci.go:456"
Mar 27 18:06:40 ip-10-0-139-143 crio[1569]: time="2020-03-27 18:06:40.503108981Z" level=info msg="exec'd [sh -c echo hello world] in default/rhel-ubi/rhel-ubi" file="server/container_execsync.go:49" d=10be7875-f1f9-44f8-bd6b-cb3cf23f90e6

We can see that the interval between them was 5 seconds - same as the specified timeout.

Comment 14 Mrunal Patel 2020-03-27 23:49:57 UTC
From some quick testing, it looks like the liveness probes hang when tty is set to true.

Comment 15 Ryan Phillips 2020-04-02 17:07:42 UTC
*** Bug 1819943 has been marked as a duplicate of this bug. ***

Comment 16 Peter Hunt 2020-04-08 14:52:00 UTC
I have asked Jindrich to package conmon 2.0.15 for 4.3-4.5. Now we're waiting for it to get pulled into a z stream release

Comment 19 MinLi 2020-04-15 11:47:06 UTC
verified on version : 4.4.0-0.nightly-2020-04-15-025120

The testpod(tailored for AWS cluster in Comment11 ) runs for more than 30 minutes, restarts 2 times including "Back-off restarting failed container" 1 time. But Liveness probe check succeed all the time. 

$ oc get pod -o wide 
NAME       READY   STATUS    RESTARTS   AGE   IP            NODE                                         NOMINATED NODE   READINESS GATES
rhel-ubi   1/1     Running   2          24m   10.129.2.19   ip-10-0-155-105.us-east-2.compute.internal   <none>           <none>

Events:
  Type     Reason     Age                From                                                 Message
  ----     ------     ----               ----                                                 -------
  Normal   Scheduled  <unknown>          default-scheduler                                    Successfully assigned rhel-ubi/rhel-ubi to ip-10-0-155-105.us-east-2.compute.internal
  Warning  BackOff    10m (x2 over 10m)  kubelet, ip-10-0-155-105.us-east-2.compute.internal  Back-off restarting failed container
  Normal   Pulling    10m (x3 over 20m)  kubelet, ip-10-0-155-105.us-east-2.compute.internal  Pulling image "registry.access.redhat.com/ubi7/ubi:latest"
  Normal   Pulled     10m (x3 over 20m)  kubelet, ip-10-0-155-105.us-east-2.compute.internal  Successfully pulled image "registry.access.redhat.com/ubi7/ubi:latest"
  Normal   Created    10m (x3 over 20m)  kubelet, ip-10-0-155-105.us-east-2.compute.internal  Created container rhel-ubi
  Normal   Started    10m (x3 over 20m)  kubelet, ip-10-0-155-105.us-east-2.compute.internal  Started container rhel-ubi

Comment 21 errata-xmlrpc 2020-05-04 11:47:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581

Comment 22 Sara Ferguson 2020-05-04 16:08:04 UTC
(In reply to Peter Hunt from comment #16)
> I have asked Jindrich to package conmon 2.0.15 for 4.3-4.5. Now we're
> waiting for it to get pulled into a z stream release

I see the fix went out today in 4.4. Is this still looking to be in 4.3? Do I need to file a backport request now that 4.4 is out? 

Thanks!

Comment 23 Sara Ferguson 2020-05-12 17:15:49 UTC
Removing the needinfo as I located BZ1821179


Note You need to log in before you can comment on or make changes to this bug.